%{?el7:%global lasso_version 2.5.1}
%{?el8:%global lasso_version 2.6.0}
%{?el9:%global lasso_version 2.7.0}

Summary: Liberty Alliance Single Sign On
Name: lasso-epel
Version: %{lasso_version}
Release: 1%{?dist}
License: GPL-2.0-or-later
URL: https://lasso.entrouvert.org/
Source: https://dev.entrouvert.org/lasso/lasso-%{version}.tar.gz


BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: libxml2-devel
BuildRequires: make
BuildRequires: openssl-devel
%if 0%{?el7}
BuildRequires: python
BuildRequires: python2-six
%endif
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires: python3
BuildRequires: python3-six
%endif
BuildRequires: xmlsec1-devel
BuildRequires: xmlsec1-openssl-devel


%description
Lasso is a library that implements the Liberty Alliance Single Sign On
standards, including the SAML and SAML2 specifications. It allows to handle
the whole life-cycle of SAML based Federations, and provides bindings
for multiple languages.


%package -n perl-lasso
Summary: Liberty Alliance Single Sign On (lasso) Perl bindings
BuildRequires: lasso-devel = %{version}
BuildRequires: perl-devel
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildRequires: perl(Test::More)
BuildRequires: perl(warnings)
BuildRequires: perl(XSLoader)
Requires: lasso%{?_isa} = %{version}


%description -n perl-lasso
Perl language bindings for the lasso (Liberty Alliance Single Sign On) library.


%prep
%setup -q -n lasso-%{version}


%build
./autogen.sh \
  --disable-gtk-doc \
  %{?el7:--with-python=%{__python2}} \
  %{!?el7:--with-python=%{__python3}}
%configure \
  --disable-gtk-doc \
  %{?el7:--with-python=%{__python2}} \
  %{!?el7:--with-python=%{__python3}} \
  --enable-perl \
  --disable-java \
  --disable-python \
  --disable-php5 --disable-php7
cd bindings/perl
perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}" Makefile.perl


%check
cd bindings/perl
make check CK_TIMEOUT_MULTIPLIER=10


%install
cd bindings/perl
%make_install exec_prefix=%{_prefix}
find %{buildroot} \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
# Remove bogus doc files
rm -fr %{buildroot}%{_docdir}/lasso


%files -n perl-lasso
%{perl_vendorarch}/Lasso.pm
%{perl_vendorarch}/auto/Lasso/


%changelog
* Mon Nov 27 2023 Xavier Bachelot <xavier@bachelot.org> - %{lasso_version}-1
- Initial package
